local armorDefs = {
	light = {
			"IonLaser",
			"MaximArtillery",
			"RadarInstallation",
			"AttackChopper",
			"ScoutChopper",
			"Resistance_Fighter",
			"Resistance_BikeTank",
			"Resistance_BikeTank_MortarVariant",
			"ResistanceTrooper",
			"ResistanceTrooper_Spawn",
			"ResistanceTrooper_Rocket",
			"LightMech",
			"LightMech_AA",
			"LightMech_Rocket",
			"Soldier_Shell",
			"Sniper_Shell",
			"RadarTank",
			"LaserTank",
			"OvermindCommander",
			"Builder",
			"Guncraft",
			"Interceptor",
			"ScoutCraft",
			"Bomber",
			"Hammerhead",
			"AirTransport",
		},
	
	reflec = {
			"Assault_Shell",
			"AssaultTank",
		},

	heavy = {
			"MachineGunNest",
			"HeavyMech",
			"Resistance_Landmine",
			"Resistance_HeavyTrooper",
			"Resistance_HeavyTrooper_Spawn",
			"Resistance_HeavyTrooper_Spawn_Airmode",
			"RocketTank",
			"Heavy_Shell",
			"AirFactory",
			"LandFactory",
			"Miner",
			"Fusion",
			"MegaFusion",
			"MetalMaker",
			"EngineeringTeam",
			"MegaConstructor",
			"MegaConstructor_Special",
			"Resistance_RocketTank",
			"PowerGenerator",
			"PowerGenerator_Tier2",
			"Resistance_Mine",
			"MetalCreator",
		},

	ultraheavy = {
			"AncientPower",
			"AncientMetal",
			"AirBase",
			"AirBase_Mobile",
			"Tank",
			"MortarTank",
			"Artillery_Shell",
			"UltraAssault",
			"Resistance_MBT",
			"AdvanceBase",
			"AdvanceBase_Mobile",
			"PillBox",
			"Overlord",
			"AutoTurret",
			"RocketTurret",
			"ArtilleryCannon",
			"LaserCannon",
			"StrategicPlasmaCannon",
			"BuildTower",	
			"Resistance_Troll",
			"Resistance_MultiTruck_Mobile",	
			"Resistance_MultiTruck_Pillbox",
			"Resistance_MultiTruck_Pillbox_AA",
			"Resistance_MultiTruck_Pillbox_Radar",
		},

}

-- convert to named maps  (trepan is a noob)
for categoryName, categoryTable in pairs(armorDefs) do
	local t = {}
	for _, unitName in pairs(categoryTable) do
		t[unitName] = 1
	end
	armorDefs[categoryName] = t
end

local system = VFS.Include('gamedata/system.lua')	

return system.lowerkeys(armorDefs)