function gadget:GetInfo()
	return {
		name = "AutoHack",
		desc = "Makes Engineering Teams automatically Hack capturable items.",
		author = "Argh, with assistance from Lurker",
		date = "June 11th, 2008",
		license = "CC-PD, or the least-restrictive copyrights that exist in your country of residence.",
		layer = 1,
		enabled = true,
	}
end

local myID, Group
local GetUnitDefID = Spring.GetUnitDefID
local CMD_CAPTURE = CMD.CAPTURE
local GetSelectedUnits = Spring.GetSelectedUnits

local CanHack = {}

local CanBeHacked = {}

function gadget:Initialize()
	for ud,_ in pairs(UnitDefs) do
		if UnitDefs[ud].customParams.can_hack == 'yes' then
			table.insert(CanHack,ud,1)
		end
		if UnitDefs[ud].customParams.can_be_hacked == 'yes' then
			table.insert(CanBeHacked,ud,1)
		end
	end
end

function gadget:DefaultCommand(type, id)
	if (type == "unit") then 
		Group = GetSelectedUnits()
		for _,u in ipairs(Group) do
			if CanHack[GetUnitDefID(u)] and CanBeHacked[GetUnitDefID(id)] then return CMD_CAPTURE end
		end
	end	
end