function gadget:GetInfo()
  return {
    name      = "00000Visible Units (Gadget Version)",
    desc      = "Speedup for VisibleUnits() callin",
    author    = "Argh",
    date      = "December 21, 2009",
    license   = "(C) Wolfe Games, 2009, released under GPL v.2",
    layer     = 0,
    enabled   = true -- loaded by default?
  }
end

if (gadgetHandler:IsSyncedCode()) then
else

local oldframe = 0
GG.visible = {}

function gadget:DrawGenesis()
	local ALL_UNITS = Spring.ALL_UNITS
	local GetGameFrame = Spring.GetGameFrame
	local GetVisibleUnits = Spring.GetVisibleUnits
	local GetLocalTeamID = Spring.GetLocalTeamID
	local GetUnitLosState = Spring.GetUnitLosState

	local myTeam = GetLocalTeamID()
	local frame = GetGameFrame()

	if frame > oldframe then
		GG.visible = {}
		local losState
		local visTable = GetVisibleUnits(ALL_UNITS)
		for i,k in ipairs (visTable) do
			losState = Spring.GetUnitLosState(k,myTeam)
			losState = losState.los
			--Spring.Echo(losState)
			if losState == true then
				table.insert(GG.visible,k)
			end
		end
		local oldframe = frame + 5		
	end
end
end
