function gadget:GetInfo()
	return {
		name = "Graphic Configurator",
		desc = "Sets up P.U.R.E. to use more optimized graphical settings at start",
		author = "Argh",
		date = "April 10th, 2009",
		license = "(C) Wolfe Games, 2008",
		layer = 1,
		enabled = true,
	}
end

local GroundLODScaleReflection = tonumber(Spring.GetConfigString("GroundLODScaleReflection",1))
local GroundLODScaleRefraction =  tonumber(Spring.GetConfigString("GroundLODScaleRefraction",1))
local GroundLODScaleUnitReflection =  tonumber(Spring.GetConfigString("GroundLODScaleUnitReflection",1))

local LODScaleReflection =  tonumber(Spring.GetConfigString("LODScaleReflection",1))
local LODScaleRefraction =  tonumber(Spring.GetConfigString("LODScaleRefraction",1))
local LODScaleShadow =  tonumber(Spring.GetConfigString("LODScaleShadow",1))

local UnitIconDist =  tonumber(Spring.GetConfigString("UnitIconDist",1))
local UnitLodDist =  tonumber(Spring.GetConfigString("UnitLodDist",1))

local GroundDetail =  tonumber(Spring.GetConfigString("GroundDetail",1))

if (gadgetHandler:IsSyncedCode()) then

function gadget:Initialize()
	if GroundLODScaleReflection >= 1.0 then Spring.SetConfigString("GroundLODScaleReflection",0.25) end
	if GroundLODScaleRefraction >= 1.0 then Spring.SetConfigString("GroundLODScaleRefraction",0.25) end
	if GroundLODScaleUnitReflection >= 1.0 then Spring.SetConfigString("GroundLODScaleUnitReflection",0.25) end

	if LODScaleReflection >= 1.0 then Spring.SetConfigString("LODScaleReflection",0.25) end
	if LODScaleRefraction >= 1.0 then Spring.SetConfigString("LODScaleRefraction",0.25) end
	if LODScaleShadow >= 1.0 then Spring.SetConfigString("LODScaleShadow",0.25) end

	if UnitLodDist - UnitIconDist > 1 then Spring.SetConfigString("UnitLodDist", (UnitIconDist + 1)) end

	if GroundDetail < 64 then Spring.SetConfigString("GroundDetail",64) end
end

function gadget:Shutdown()

end

end