function gadget:GetInfo()
	return 
	{
		name = "Map Fixer",
		desc = "Brings all outer-edge map elements with heights > 95 to 95",
		author = "Argh",
		date = "August 8, 2008",
		license = "(C) Wolfe Games",
		layer = 1,
		enabled = true
	}
end

if (gadgetHandler:IsSyncedCode()) then
-----------------------------------------------SYNCHED
----------------------------------------------------------------
------------------------------------------------------------------------
local mapz					= Game.mapSizeZ
local mapx					= Game.mapSizeX
local GetGroundHeight 				= Spring.GetGroundHeight
local AdjustHeightMap 			= Spring.AdjustHeightMap
local MyHeight
local ChangeHeight
local a

function GameStart()

	for a = 1,mapx-1,8 do
		MyHeight = GetGroundHeight(a,0)
		ChangeHeight = MyHeight
		
		if MyHeight > 95 then
			ChangeHeight = MyHeight -95 
			--Spring.Echo(a,MyHeight,MyHeight - 95,"Above 95") 
			AdjustHeightMap(a,0,a+8,8,-ChangeHeight)
			AdjustHeightMap(a,8,a+8,16,-ChangeHeight/2)
			AdjustHeightMap(a,16,a+8,24,-ChangeHeight/4)    
		end
	end

	for a = 1,mapx-1,8 do
		MyHeight = GetGroundHeight(a,mapz)
		ChangeHeight = MyHeight
		
		if MyHeight > 95 then
			ChangeHeight = MyHeight -95 
			--Spring.Echo(a,MyHeight,MyHeight - 95,"Above 95") 
			AdjustHeightMap(a,mapz-8,a+8,mapz,-ChangeHeight)
			AdjustHeightMap(a,mapz-16,a+8,mapz-8,-ChangeHeight/2)
			AdjustHeightMap(a,mapz-24,a+8,mapz-16,-ChangeHeight/4)    
		end
	end

	for a = 1,mapz-1,8 do
		MyHeight = GetGroundHeight(0,a)
		ChangeHeight = MyHeight
		
		if MyHeight > 95 then
			ChangeHeight = MyHeight -95 
			--Spring.Echo(a,MyHeight,MyHeight - 95,"Above 95") 
			AdjustHeightMap(0,a,8,a+8,-ChangeHeight)
			AdjustHeightMap(8,a,16,a+8,-ChangeHeight)
			AdjustHeightMap(16,a,24,a+8,-ChangeHeight)
		end
	end

	for a = 1,mapz-1,8 do
		MyHeight = GetGroundHeight(mapx,a)
		ChangeHeight = MyHeight
		
		if MyHeight > 95 then
			ChangeHeight = MyHeight -95 
			--Spring.Echo(a,MyHeight,MyHeight - 95,"Above 95") 
			AdjustHeightMap(mapx-8,a,mapx,a+8,-ChangeHeight)
			AdjustHeightMap(mapx-16,a,mapx-8,a+8,-ChangeHeight)
			AdjustHeightMap(mapx-16,a,mapx-24,a+8,-ChangeHeight)
		end
	end
end
--Spring.Echo("Removing Map Fixer Gadget") 
--gadgetHandler.RemoveGadget("Map Fixer")
------------------------------------------------------------------------
----------------------------------------------------------------
-----------------------------------------------END
end
