function gadget:GetInfo()
	return {
		name = "ResourceFeaturesNeutral",
		desc = "Neutralizes certain Units",
		author = "Argh",
		date = "March 25th, 2008",
		license = "Copyright (C) Wolfe Games, 2008",
		layer = 1,
		enabled = true,
	}
end

if (gadgetHandler:IsSyncedCode()) then
--------------------------------------------------------------------------------
--  SYNCED
--------------------------------------------------------------------------------


---------------------------------------------------------INITIALIZE NAMES HERE
---------------------------------------------------------
---------------------------------------------------------
local DrawInLosDefs = {
    [UnitDefNames.ancientpower.id] = "ancientpower",
    [UnitDefNames.ancientmetal.id] = "ancientmetal",
}
---------------------------------------------------------
---------------------------------------------------------
---------------------------------------------------------

---------------------------------------------------------SWITCH OUT ON FRAME 11
---------------------------------------------------------AFTER WORLD BUILDER RUNS
	function gadget:GameFrame(f)
		if (f == 0) or (f > 0) and (f < 11) then end
  		if (f == 10) then

			for _,u in ipairs(Spring.GetTeamUnits(Spring.GetGaiaTeamID())) do

---------------------------------------------------------START HANDLER
				if DrawInLosDefs[Spring.GetUnitDefID(u)] then
					Spring.SetUnitNeutral(u, true)
					Spring.SetUnitNoMinimap(u,true)
					--Spring.SetUnitNoSelect(u,true)
				end
---------------------------------------------------------END HANDLER FUNCTION
			end
		end
	if (f == 34) then Spring.Echo("Removing P.U.R.E. Neutralizer Gadget") gadgetHandler.RemoveGadget("ResourceFeaturesNeutral")  end
	end
end