function gadget:GetInfo()
	return {
		name = "Resources",
		desc = "Corrects Resource Distribution at start of game, for game designs that don't adhere to OTA standards.",
		author = "Argh",
		date = "August 8, 2008",
		license = "(C) Wolfe Games, 2008",
		layer = 1,
		enabled = true,
	}
end


local InitialWait = 1
local Frame, TeamNum, TeamSide
local currentLevelEnergy, storageEnergy, pullEnergy, incomeEnergy, expenseEnergy, shareEnergy, sentEnergy, receivedEnergy
local currentLevelMetal, storageMetal, pullMetal, incomeMetal, expenseMetal, shareMetal, sentMetal, receivedMetal

if (gadgetHandler:IsSyncedCode()) then

function gadget:GameFrame(f)
	if f == 1 then
		local temp = Spring.GetTeamList()
		for _,Team in ipairs(temp) do
			currentLevelEnergy, storageEnergy, pullEnergy, incomeEnergy, expenseEnergy, shareEnergy, sentEnergy, receivedEnergy = Spring.GetTeamResources(Team, 'energy')			
			currentLevelMetal, storageMetal, pullMetal, incomeMetal, expenseMetal, shareMetal, sentMetal, receivedMetal = Spring.GetTeamResources(Team, 'metal')
		Spring.SetTeamResource(Team,'m',currentLevelMetal/10)
		Spring.SetTeamResource(Team,'ms',storageMetal -40)
		Spring.SetTeamResource(Team,'e',currentLevelEnergy/10)
		Spring.SetTeamResource(Team,'es',storageEnergy -40)			
		end
	end
	if f == 2 then gadgetHandler.RemoveGadget("Resources") end
end

end

