--LUPS unit effects added on Unit creation, an example.  Put one of these in your project and configure to specification.  See particle classes for specific variables.

AddFX("hammerhead", {
	{class='AirJet',options={color={0.1,0.4,0.6}, width=2, length=25, piece="engineflare_r", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=2, length=25, piece="engineflare_l", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=2, length=25, piece="distort1", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=2, length=25, piece="distort2", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=2, length=25, piece="distort3", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=2, length=25, piece="distort4", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",}},

	{class='Ribbon',options={layer = -32, color    = {1.0,1.0,00.5,1.0},width=1, size=60, piece="trail1"}},
    	{class='Ribbon',options={layer = -32, color    = {1.0,1.0,00.5,1.0},width=1, size=60, piece="trail2"}},
	{class='Ribbon',options={layer = -16, color    = {1.0,0.2,0,1.0},width=2, size=180, piece="trail1"}},
    	{class='Ribbon',options={layer = -16, color    = {1.0,0.2,0,1.0},width=2, size=180, piece="trail2"}},

	{class='Ribbon',options={color    = {1.0,1.0,00.5,1.0},width=1, size=60, piece="distort1"}},
    	{class='Ribbon',options={color    = {1.0,1.0,00.5,1.0},width=1, size=60, piece="distort2"}},
	{class='Ribbon',options={layer = -16, color    = {1.0,0.2,0,1.0},width=2, size=180, piece="distort1"}},
    	{class='Ribbon',options={layer = -16, color    = {1.0,0.2,0,1.0},width=2, size=180, piece="distort2"}},
  })

AddFX("resistance_fighter", {
	{class='AirJet',options={color={0.1,0.4,0.6}, width=2, length=25, piece="thrusterflare", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='Ribbon',options={layer = -32, color    = {1.0,1.0,00.5,1.0},width=1, size=60, piece="trail1"}},
	{class='Ribbon',options={layer = -16, color    = {1.0,0.2,0,1.0},width=2, size=180, piece="trail1"}},

  })

AddFX("wolfen_beserker", {
	{class='AirJet',options={color={0.1,0.4,0.6}, width=2, length=12, piece="slicer_glow_r", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",emitVector={0,1,0},}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=2, length=12, piece="slicer_glow_l", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",emitVector={0,1,0},}},
	{class='Ribbon',options={layer = -32, color    = {0.5,1.0,0.0,1.0},width=1, size=15, piece="slicer_glow_r"}},
	{class='Ribbon',options={layer = -16, color    = {0.5,1.0,0.0,1.0},width=1, size=15, piece="slicer_glow_l"}},

  })

AddFX("bomber", {
	{class='AirJet',options={color={0.1,0.4,0.6}, width=2, length=25, piece="flare_r", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=2, length=25, piece="flare_l", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='Ribbon',options={layer = -32, color    = {1.0,0.7,0,1.0},width=1, size=60, piece="trail1"}},
    	{class='Ribbon',options={layer = -32, color    = {1.0,0.7,0,1.0},width=1, size=60, piece="trail2"}},
	{class='Ribbon',options={layer = -16, color    = {0.0,0.7,1.0,0.5},width=2, size=180, piece="trail1"}},
    	{class='Ribbon',options={layer = -16, color    = {0.0,0.7,1.0,0.5},width=2, size=180, piece="trail2"}},
  })

AddFX("airtransport", {
	{class='AirJet',options={color={0.1,0.4,0.6}, width=2, length=25, piece="flare_r", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=2, length=25, piece="flare_l", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='Ribbon',options={layer = -32, color    = {1.0,0.7,0,1.0},width=1, size=60, piece="trail1"}},
    	{class='Ribbon',options={layer = -32, color    = {1.0,0.7,0,1.0},width=1, size=60, piece="trail2"}},
	{class='Ribbon',options={layer = -16, color    = {0.0,0.7,1.0,0.5},width=2, size=180, piece="trail1"}},
    	{class='Ribbon',options={layer = -16, color    = {0.0,0.7,1.0,0.5},width=2, size=180, piece="trail2"}},
  })

AddFX("interceptor", {
	{class='AirJet',options={color={0.1,0.4,0.6}, width=2, length=25, piece="motorflare_r", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=2, length=25, piece="motorflare_l", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='Ribbon',options={layer = -32, color    = {1.0,0.7,0,1.0},width=1, size=60, piece="trail1"}},
    	{class='Ribbon',options={layer = -32, color    = {1.0,0.7,0,1.0},width=1, size=60, piece="trail4"}},
	{class='Ribbon',options={layer = -16, color    = {0.0,0.7,1.0,0.5},width=2, size=180, piece="trail1"}},
    	{class='Ribbon',options={layer = -16, color    = {0.0,0.7,1.0,0.5},width=2, size=180, piece="trail4"}},
  })

AddFX("guncraft", {
	{class='AirJet',options={color={0.1,0.4,0.6}, width=2, length=25, piece="thrusterflare", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='Ribbon',options={layer = -32, color    = {1.0,0.7,0,1.0},width=1, size=60, piece="trail1"}},
	{class='Ribbon',options={layer = -16, color    = {0.0,0.7,1.0,0.5},width=2, size=180, piece="trail1"}},
  })
AddFX("scoutcraft", {
	{class='AirJet',options={color={0.1,0.4,0.6}, width=2, length=25, piece="thrusterflare", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='Ribbon',options={layer = -32, color    = {1.0,0.7,0,1.0},width=1, size=60, piece="trail1"}},
	{class='Ribbon',options={layer = -16, color    = {0.0,0.7,1.0,0.5},width=2, size=180, piece="trail1"}},
  })
AddFX("attackchopper", {
	{class='Ribbon',options={color    = {1.0,1.0,1.0,0.25},width=1, size=120, piece="trail1"}},
	{class='Ribbon',options={color    = {1.0,1.0,1.0,0.25},width=1, size=120, piece="trail2"}},
  })

AddFX("spaceliner01", {
	{class='Ribbon',options={layer = -32,color    = {1.0,1.0,00.5,1.0},width=1, size=60, piece="flame1"}},
	{class='Ribbon',options={layer = -16, color    = {1.0,0.2,0,1.0},width=2, size=180, piece="flame1"}},
	{class='Ribbon',options={layer = -32,color    = {1.0,1.0,00.5,1.0},width=1, size=60, piece="flame2"}},
	{class='Ribbon',options={layer = -16, color    = {1.0,0.2,0,1.0},width=2, size=180, piece="flame2"}},
	{class='Ribbon',options={layer = -32,color    = {1.0,1.0,00.5,1.0},width=1, size=60, piece="flame3"}},
	{class='Ribbon',options={layer = -16, color    = {1.0,0.2,0,1.0},width=2, size=180, piece="flame3"}},
	{class='Ribbon',options={layer = -32, color    = {1.0,1.0,00.5,1.0},width=1, size=60, piece="flame4"}},
	{class='Ribbon',options={layer = -16, color    = {1.0,0.2,0,1.0},width=2, size=180, piece="flame4"}},

	{class='Ribbon',options={color    = {1.0,1.0,1.0,0.25},width=1, size=120, piece="trail1"}},
	{class='Ribbon',options={color    = {1.0,1.0,1.0,0.25},width=1, size=120, piece="trail2"}},

	{class='AirJet',options={color={0.1,0.4,0.6}, width=8, length=50, piece="flame1", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",emitVector={0,0,-1},}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=8, length=50, piece="flame2", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",emitVector={0,0,-1},}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=8, length=50, piece="flame3", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",emitVector={0,0,-1},}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=8, length=50, piece="flame4", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",emitVector={0,0,-1},}},
  })

AddFX("spaceliner02", {
	{class='Ribbon',options={layer = -32,color    = {1.0,1.0,00.5,1.0},width=1, size=60, piece="flame1"}},
	{class='Ribbon',options={layer = -16, color    = {1.0,0.2,0,1.0},width=2, size=180, piece="flame1"}},
	{class='Ribbon',options={layer = -32,color    = {1.0,1.0,00.5,1.0},width=1, size=60, piece="flame2"}},
	{class='Ribbon',options={layer = -16, color    = {1.0,0.2,0,1.0},width=2, size=180, piece="flame2"}},
	{class='Ribbon',options={layer = -32,color    = {1.0,1.0,00.5,1.0},width=1, size=60, piece="flame3"}},
	{class='Ribbon',options={layer = -16, color    = {1.0,0.2,0,1.0},width=2, size=180, piece="flame3"}},
	{class='Ribbon',options={layer = -32, color    = {1.0,1.0,00.5,1.0},width=1, size=60, piece="flame4"}},
	{class='Ribbon',options={layer = -16, color    = {1.0,0.2,0,1.0},width=2, size=180, piece="flame4"}},

	{class='Ribbon',options={color    = {1.0,1.0,1.0,0.25},width=1, size=120, piece="trail1"}},
	{class='Ribbon',options={color    = {1.0,1.0,1.0,0.25},width=1, size=120, piece="trail2"}},

	{class='AirJet',options={color={0.1,0.4,0.6}, width=8, length=50, piece="flame1", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",emitVector={0,0,-1},}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=8, length=50, piece="flame2", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",emitVector={0,0,-1},}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=8, length=50, piece="flame3", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",emitVector={0,0,-1},}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=8, length=50, piece="flame4", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",emitVector={0,0,-1},}},
  })

AddFX("spaceliner03", {
	{class='Ribbon',options={layer = -32,color    = {1.0,1.0,00.5,1.0},width=1, size=60, piece="flame1"}},
	{class='Ribbon',options={layer = -16, color    = {1.0,0.2,0,1.0},width=2, size=180, piece="flame1"}},
	{class='Ribbon',options={layer = -32,color    = {1.0,1.0,00.5,1.0},width=1, size=60, piece="flame2"}},
	{class='Ribbon',options={layer = -16, color    = {1.0,0.2,0,1.0},width=2, size=180, piece="flame2"}},
	{class='Ribbon',options={layer = -32,color    = {1.0,1.0,00.5,1.0},width=1, size=60, piece="flame3"}},
	{class='Ribbon',options={layer = -16, color    = {1.0,0.2,0,1.0},width=2, size=180, piece="flame3"}},
	{class='Ribbon',options={layer = -32, color    = {1.0,1.0,00.5,1.0},width=1, size=60, piece="flame4"}},
	{class='Ribbon',options={layer = -16, color    = {1.0,0.2,0,1.0},width=2, size=180, piece="flame4"}},

	{class='Ribbon',options={color    = {1.0,1.0,1.0,0.25},width=1, size=120, piece="trail1"}},
	{class='Ribbon',options={color    = {1.0,1.0,1.0,0.25},width=1, size=120, piece="trail2"}},

	{class='AirJet',options={color={0.1,0.4,0.6}, width=8, length=50, piece="flame1", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",emitVector={0,0,-1},}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=8, length=50, piece="flame2", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",emitVector={0,0,-1},}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=8, length=50, piece="flame3", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",emitVector={0,0,-1},}},
	{class='AirJet',options={color={0.1,0.4,0.6}, width=8, length=50, piece="flame4", onActive=true,  texture2="bitmaps/gpl/lups/null.tga",emitVector={0,0,-1},}},
  })

AddFX("airrefinery", {
	{class='AirJet',options={color={0,0,0}, width=7, length=90, piece="airjet1", onActive=false, emitVector={0,-1,0}, animSpeed = 0.5,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='AirJet',options={color={0,0,0}, width=7, length=90, piece="airjet2", onActive=false, emitVector={0,-1,0}, animSpeed = 0.5,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='AirJet',options={color={0,0,0}, width=7, length=90, piece="airjet3", onActive=false, emitVector={0,-1,0}, animSpeed = 0.5,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='AirJet',options={color={0,0,0}, width=7, length=90, piece="airjet4", onActive=false, emitVector={0,-1,0}, animSpeed = 0.5,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='AirJet',options={color={0,0,0}, width=7, length=90, piece="airjet5", onActive=false, emitVector={0,-1,0}, animSpeed = 0.5,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='AirJet',options={color={0,0,0}, width=7, length=90, piece="airjet6", onActive=false, emitVector={0,-1,0}, animSpeed = 0.5,  texture2="bitmaps/gpl/lups/null.tga",}},
  })

AddFX("fusionplant", {
	{class='AirJet',options={color={0,0,0}, width=7, length=90, piece="airjet1", onActive=false, emitVector={0,-1,0}, animSpeed = 0.5,}},
	{class='AirJet',options={color={0,0,0}, width=7, length=90, piece="airjet2", onActive=false, emitVector={0,-1,0}, animSpeed = 0.5,}},
  })

AddFX("bubblebuilding", {
    {class='GroundFlash',
	options={life = 240, size = 120, texture = "bitmaps/GPL/Lups/groundflash.png",repeatEffect = true,
	colormap   = { {1.0, 1.0, 0.9, 0.3},{1.0, 0.7, 0.3, 0.1},{1.0, 1.0, 0.9, 0.1},{1.0, 1.0, 0.0, 0.3},}}},
  })

AddFX("storagedevice", {
    {class='GroundFlash',
	options={life = 280, size = 140, texture = "bitmaps/GPL/Lups/groundflash.png",repeatEffect = true,
	colormap   = { {0.5, 1.0, 1.0, 0.3},{0.7, 1.0, 1.0, 0.1},{0.3, 1.0, 1.0, 0.1},{0.5, 1.0, 1.0, 0.3},}}},
  })

AddFX("chicken_roost", {
	{class='AirJet',options={color={0,0,0,0}, width=16, length=64, piece="distortion", onActive=false, emitVector={0,-1,0}, animSpeed = 0.25,  texture2="bitmaps/gpl/lups/null.tga",}},
{class='AirJet',options={color={0,0,0,0}, width=16, length=64, piece="distortion2", onActive=false, emitVector={0,-1,0}, animSpeed = 0.25,  texture2="bitmaps/gpl/lups/null.tga",}},
{class='AirJet',options={color={0,0,0,0}, width=16, length=64, piece="distortion3", onActive=false, emitVector={0,-1,0}, animSpeed = 0.25,  texture2="bitmaps/gpl/lups/null.tga",}},
  })

AddFX("0001biglava01", {
	{class='AirJet',options={color={0,0,0,0}, width=30, length=60, piece="base", onActive=false, emitVector={0,-1,0}, animSpeed = 0.25,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='GroundFlash', options={repeatEffect = true, texture = "bitmaps/lava_concept01.tga", life = math.random(1000,2000), size = math.random(40,85), sizeGrowth = 0, colormap   = {{0, 0, 0, 0.01},{1.0, 1.0, 1.0, 1.0},{1.0, 1.0, 1.0, 1.0},{1.0, 1.0, 1.0, 1.0,},{0, 0, 0, 0.01},}}},
  })

AddFX("0001biglava02", {
	{class='AirJet',options={color={0,0,0,0}, width=40, length=60, piece="base", onActive=false, emitVector={0,-1,0}, animSpeed = 0.25,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='GroundFlash', options={repeatEffect = true, texture = "bitmaps/lava_concept02.tga", life = math.random(1000,2000), size = math.random(40,85), sizeGrowth = 0, colormap   = {{0, 0, 0, 0.01},{1.0, 1.0, 1.0, 1.0},{1.0, 1.0, 1.0, 1.0},{1.0, 1.0, 1.0, 1.0,},{0, 0, 0, 0.01},}}},
  })

AddFX("0001biglava03", {
	{class='AirJet',options={color={0,0,0,0}, width=40, length=60, piece="base", onActive=false, emitVector={0,-1,0}, animSpeed = 0.25,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='GroundFlash', options={repeatEffect = true, texture = "bitmaps/lava_concept03.tga", life = math.random(1000,2000), size = math.random(40,85), sizeGrowth = 0, colormap   = {{0, 0, 0, 0.01},{1.0, 1.0, 1.0, 1.0},{1.0, 1.0, 1.0, 1.0},{1.0, 1.0, 1.0, 1.0,},{0, 0, 0, 0.01},}}},
  })

AddFX("0001biglava04", {
	{class='AirJet',options={color={0,0,0,0}, width=40, length=60, piece="base", onActive=false, emitVector={0,-1,0}, animSpeed = 0.25,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='GroundFlash', options={repeatEffect = true, texture = "bitmaps/lava_concept04.tga", life = math.random(1000,2000), size = math.random(40,85), sizeGrowth = 0, colormap   = {{0, 0, 0, 0.01},{1.0, 1.0, 1.0, 1.0},{1.0, 1.0, 1.0, 1.0},{1.0, 1.0, 1.0, 1.0,},{0, 0, 0, 0.01},}}},
  })

AddFX("0001smalllava01", {
	{class='AirJet',options={color={0,0,0,0}, width=15, length=60, piece="base", onActive=false, emitVector={0,-1,0}, animSpeed = 0.25,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='GroundFlash', options={repeatEffect = true, texture = "bitmaps/lava_concept01.tga", life = math.random(1000,2000), size = math.random(15,55), sizeGrowth = 0, colormap   = {{0, 0, 0, 0.01},{1.0, 1.0, 1.0, 1.0},{1.0, 1.0, 1.0, 1.0},{1.0, 1.0, 1.0, 1.0,},{0, 0, 0, 0.01},}}},
})
AddFX("0001smalllava02", {
	{class='AirJet',options={color={0,0,0,0}, width=15, length=60, piece="base", onActive=false, emitVector={0,-1,0}, animSpeed = 0.25,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='GroundFlash', options={repeatEffect = true, texture = "bitmaps/lava_concept02.tga", life = math.random(1000,2000), size = math.random(15,55), sizeGrowth = 0, colormap   = {{0, 0, 0, 0.01},{1.0, 1.0, 1.0, 1.0},{1.0, 1.0, 1.0, 1.0},{1.0, 1.0, 1.0, 1.0,},{0, 0, 0, 0.01},}}},
})
AddFX("0001smalllava03", {
	{class='AirJet',options={color={0,0,0,0}, width=15, length=60, piece="base", onActive=false, emitVector={0,-1,0}, animSpeed = 0.25,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='GroundFlash', options={repeatEffect = true, texture = "bitmaps/lava_concept03.tga", life = math.random(1000,2000), size = math.random(15,55), sizeGrowth = 0, colormap   = {{0, 0, 0, 0.01},{1.0, 1.0, 1.0, 1.0},{1.0, 1.0, 1.0, 1.0},{1.0, 1.0, 1.0, 1.0,},{0, 0, 0, 0.01},}}},
})
AddFX("0001smalllava04", {
	{class='AirJet',options={color={0,0,0,0}, width=15, length=60, piece="base", onActive=false, emitVector={0,-1,0}, animSpeed = 0.25,  texture2="bitmaps/gpl/lups/null.tga",}},
	{class='GroundFlash', options={repeatEffect = true, texture = "bitmaps/lava_concept04.tga", life = math.random(1000,2000), size = math.random(15,55), sizeGrowth = 0, colormap   = {{0, 0, 0, 0.01},{1.0, 1.0, 1.0, 1.0},{1.0, 1.0, 1.0, 1.0},{1.0, 1.0, 1.0, 1.0,},{0, 0, 0, 0.01},}}},
})

-----------------------------------
-----------------------------------------------END
-----------------------------------