function widget:GetInfo()
	return {
	name	= "Select in Buildings",
	desc	= "Selects soldiers in Buildings if you select that Building.",
	author	= "Argh",
	date	= "August 26, 2008",
	license = "(C) Wolfe Games, 2008",
	layer	= 0,
	enabled = true	--	loaded by default?
	}
end
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

local GetPlayerInfo = Spring.GetPlayerInfo

local GetMyTeamID = Spring.GetMyTeamID
local GetUnitDefID = Spring.GetUnitDefID
local GetTeamUnits = Spring.GetTeamUnits
local GetUnitPosition = Spring.GetUnitPosition
local SelectUnitArray = Spring.SelectUnitArray
local GetUnitTeam = Spring.GetUnitTeam
local GetUnitsInCylinder = Spring.GetUnitsInCylinder

local myTeam = Spring.GetLocalTeamID()

local unitArray = {}

local myHolderList = {}

local fillList
local x,y,z = 0,0,0

function widget:Initialize()
	for ud,_ in pairs(UnitDefs) do
		if UnitDefs[ud].customParams.hold_amount ~= nil then
			table.insert(myHolderList,ud,1)
		end
	end
end

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
function widget:GameFrame(f)
	if f % 15 < 0.1 then
		unitArray = Spring.GetSelectedUnits()
		for _,unitID in ipairs (unitArray) do
			id = GetUnitDefID(unitID)
			--Spring.Echo(unitID)
			if myHolderList[id] and GetUnitTeam(unitID) == myTeam then
				--Spring.Echo("found building allied")
				 x, y, z = GetUnitPosition(unitID)
				fillList = GetUnitsInCylinder(x,z,16,myTeam)
				for _,unitIDTwo in ipairs(fillList) do
					if GetUnitTeam(unitIDTwo) == myTeam and unitID ~= unitIDTwo then
						SelectUnitArray({unitIDTwo},true)
					end
				end
			end
		end
	end
	if f == 2 then
		_, _, spectator = GetPlayerInfo(GetMyTeamID())
		if (spectator) then
			widgetHandler:RemoveWidget()
		end
	end
end


--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
