function widget:GetInfo()
	return {
		name = "Theme",
		desc = "Plays Theme Music- Argh, Credit Ben Shewmaker, Gurdonark, Brilliant Orange Object, Neurowaxx, C. Reider",
		author = "Argh",
		date = "March 25th, 2008",
		license = "All Music Used Was Released under CC-SA or with permission of the Authors",
		layer = 1,
		enabled = true,
	}
end


local clock = os.clock
math.randomseed(clock()*1000)
math.randomseed(clock()*1000)

local InitialWait = math.random(89,100)
--The value of a song's length is time(in seconds)*32 (number of frames).
--Always include a 10-frame pause (or thereabouts)...
--...because length isn't perfect, and two OGG streams running on top of each other tend to not run at all.
local LengthNoSeven = 9664  + 10
local LengthGurdonark = 6112   + 10
local LengthMercuric = 14336   + 10
local LengthSpiral = 8512 + 10
local LengthTheme35 = 7488 + 10
local LengthPseudophone_Walkabout = 12192 + 10
local LengthPseudophone_Kainchi = 5376 + 10
local LengthPseudophone_Evidence = 9856 + 10
local LengthPseudophone_R_Finds = 6400 + 10
local LengthPseudophone_The_Reach = 10976 + 10
local LengthPseudophone_Kov = 6624 + 10
local math_random = math.random
local RandomNumber = 1


local MUSIC_LOCATION = "Music/"

	function widget:GameFrame(f)
  		if (f > InitialWait) then
			RandomNumber = math_random (1,11)
			--Spring.SetSoundStreamVolume(0.15)
			Spring.StopSoundStream()
			
			RandomNumber = math_random (1,11)
			if RandomNumber == 1 then
				InitialWait = InitialWait + LengthNoSeven
				Spring.PlaySoundStream(MUSIC_LOCATION .. 'shewbox_Episode_7.ogg',0.5)
			end
			if RandomNumber == 2 then
				InitialWait = InitialWait + LengthGurdonark
				Spring.PlaySoundStream(MUSIC_LOCATION .. 'gurdonark_Forgotten_Dreams.ogg',0.5)
			end
			if RandomNumber == 3 then
				InitialWait = InitialWait + LengthMercuric
				Spring.PlaySoundStream(MUSIC_LOCATION .. 'shewbox_Mercuric.ogg',0.5)
			end
			if RandomNumber == 4 then
				InitialWait = InitialWait + LengthSpiral
				Spring.PlaySoundStream(MUSIC_LOCATION .. 'gurdonark_spiral_wrench_of_avarice.ogg',0.5)
			end
			if RandomNumber == 5 then
				InitialWait = InitialWait + LengthTheme35
				Spring.PlaySoundStream(MUSIC_LOCATION .. 'martin_ahm_nielsen_theme_35_1.ogg',1.0)
			end
			if RandomNumber == 6 then
				InitialWait = InitialWait + LengthPseudophone_Walkabout
				Spring.PlaySoundStream(MUSIC_LOCATION .. 'pseudophone_walkabout.ogg',0.5)
			end
			if RandomNumber == 7 then
				InitialWait = InitialWait + LengthPseudophone_Kainchi 
				Spring.PlaySoundStream(MUSIC_LOCATION .. 'pseudophone_kainchi_tangent.ogg',0.5)
			end
			if RandomNumber == 8 then
				InitialWait = InitialWait + LengthPseudophone_Evidence
				Spring.PlaySoundStream(MUSIC_LOCATION .. 'pseudophone_evidence_of_things_unseen.ogg',0.5)
			end
			if RandomNumber == 9 then
				InitialWait = InitialWait + LengthPseudophone_R_Finds 
				Spring.PlaySoundStream(MUSIC_LOCATION .. 'pseudophone_r_finds_the_factory.ogg',1.0)
			end
			if RandomNumber == 10 then
				InitialWait = InitialWait + LengthPseudophone_The_Reach 
				Spring.PlaySoundStream(MUSIC_LOCATION .. 'pseudophone_the_reach.ogg',0.5)
			end
			if RandomNumber == 11 then
				InitialWait = InitialWait + LengthPseudophone_Kov 
				Spring.PlaySoundStream(MUSIC_LOCATION .. 'pseudophone_kov-ata.ogg',0.5)
			end
		end
	end

	function widget:Shutdown()
		Spring.StopSoundStream()
	end